<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RPageLayoutPreferences StructType
 * @subpackage Structs
 */
class RPageLayoutPreferences extends AbstractStructBase
{
    /**
     * The pageName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $pageName;
    /**
     * The pageSections
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\PageSections
     */
    public $pageSections;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RPageLayoutPreferences
     * @uses RPageLayoutPreferences::setPageName()
     * @uses RPageLayoutPreferences::setPageSections()
     * @uses RPageLayoutPreferences::setUuid()
     * @param string $pageName
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\PageSections $pageSections
     * @param string $uuid
     */
    public function __construct($pageName = null, \\Losc\CucmBundle\Model\Webservice\StructType\PageSections $pageSections = null, $uuid = null)
    {
        $this
            ->setPageName($pageName)
            ->setPageSections($pageSections)
            ->setUuid($uuid);
    }
    /**
     * Get pageName value
     * @return string|null
     */
    public function getPageName()
    {
        return $this->pageName;
    }
    /**
     * Set pageName value
     * @param string $pageName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPageLayoutPreferences
     */
    public function setPageName($pageName = null)
    {
        $this->pageName = $pageName;
        return $this;
    }
    /**
     * Get pageSections value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\PageSections|null
     */
    public function getPageSections()
    {
        return $this->pageSections;
    }
    /**
     * Set pageSections value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\PageSections $pageSections
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPageLayoutPreferences
     */
    public function setPageSections(\\Losc\CucmBundle\Model\Webservice\StructType\PageSections $pageSections = null)
    {
        $this->pageSections = $pageSections;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPageLayoutPreferences
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
